import request from '@/utils/request'

// 查询订单详情列表
export function listDatawarehouse(query) {
  return request({
    url: '/market/datawarehouse/list',
    method: 'get',
    params: query
  })
}

// 查询订单详情详细
export function getDatawarehouse() {
  return request({
    url: '/market/datawarehouse/query',
    method: 'get'
  })
}

// 新增订单详情
export function addDatawarehouse(data) {
  return request({
    url: '/market/datawarehouse',
    method: 'post',
    data: data
  })
}

// 修改订单详情
export function updateDatawarehouse(data) {
  return request({
    url: '/market/datawarehouse',
    method: 'put',
    data: data
  })
}

// 删除订单详情
export function delDatawarehouse(orderId) {
  return request({
    url: '/market/datawarehouse/' + orderId,
    method: 'delete'
  })
}
